Bug 126561

Summary: [JS] Should be able to create a promise by calling the Promise constructor as a function
Product: WebKit Reporter: Sam Weinig <sam>
Component: New BugsAssignee: Sam Weinig <sam>
Status: RESOLVED FIXED    
Severity: Normal CC: barraclough, benjamin, bunhere, cmarcelo, commit-queue, fpizlo, ggaren, gyuyoung.kim, oliver, rakuco
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch none

Description Sam Weinig 2014-01-06 21:13:32 PST
[JS] Should be able to create a promise by calling the Promise constructor as a function
Comment 1 Sam Weinig 2014-01-06 21:16:10 PST
Created attachment 220489 [details]
Patch
Comment 2 Geoffrey Garen 2014-01-07 15:22:18 PST
Comment on attachment 220489 [details]
Patch

r=me

Much JavaScript. Wow.
Comment 3 WebKit Commit Bot 2014-01-08 18:34:00 PST
Comment on attachment 220489 [details]
Patch

Clearing flags on attachment: 220489

Committed r161538: <http://trac.webkit.org/changeset/161538>
Comment 4 WebKit Commit Bot 2014-01-08 18:34:02 PST
All reviewed patches have been landed.  Closing bug.
Comment 5 Sam Weinig 2014-01-11 10:58:48 PST
Reopening to attach new patch.
Comment 6 Sam Weinig 2014-01-11 10:58:51 PST
Created attachment 220937 [details]
Patch